Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class InlineConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.InlineConverter

    public class InlineConverter

extends ConverterHelper

This class handles basic inline text.

Field Summary
`private boolean` | `bHasPdfannotation`
`private java.lang.String` | `sTabstop`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`InlineConverter(OfficeReader ofr, Config config, ConverterPalette palette)`

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`private void` | `handleChapterField(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleOfficeAnnotation(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private boolean` | `onlyNote(org.w3c.dom.Node node)`
`void` | `traverseInlineText(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc, boolean styled)`
`private void` | `traverseOrdinaryInlineText(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`void` | `traversePCDATA(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`void` | `traversePlainInlineText(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `traverseVerbatimInlineText(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sTabstop

    private java.lang.String sTabstop

### bHasPdfannotation

    private boolean bHasPdfannotation

Constructor Detail

### InlineConverter

    public InlineConverter(OfficeReader ofr,
                           Config config,
                           ConverterPalette palette)

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Overrides:
    `appendDeclarations` in class `ConverterHelper`

### traverseInlineText

    public void traverseInlineText(org.w3c.dom.Element node,
                                   LaTeXDocumentPortion ldp,
                                   Context oc,
                                   boolean styled)

### traverseOrdinaryInlineText

    private void traverseOrdinaryInlineText(org.w3c.dom.Element node,
                                            LaTeXDocumentPortion ldp,
                                            Context oc)

### traversePlainInlineText

    public void traversePlainInlineText(org.w3c.dom.Element node,
                                        LaTeXDocumentPortion ldp,
                                        Context oc)

### traverseVerbatimInlineText

    private void traverseVerbatimInlineText(org.w3c.dom.Element node,
                                            LaTeXDocumentPortion ldp,
                                            Context oc)

### traversePCDATA

    public void traversePCDATA(org.w3c.dom.Element node,
                               LaTeXDocumentPortion ldp,
                               Context oc)

### handleChapterField

    private void handleChapterField(org.w3c.dom.Element node,
                                    LaTeXDocumentPortion ldp,
                                    Context oc)

### handleOfficeAnnotation

    private void handleOfficeAnnotation(org.w3c.dom.Element node,
                                        LaTeXDocumentPortion ldp,
                                        Context oc)

### onlyNote

    private boolean onlyNote(org.w3c.dom.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD